// Zed settings
//
// For information on how to configure Zed, see the Zed
// documentation: https://zed.dev/docs/configuring-zed
//
// To see all of Zed's default settings without changing your
// custom settings, run `zed: open default settings` from the
// command palette (cmd-shift-p / ctrl-shift-p)
{
  "go_to_definition_fallback": "find_all_references",
  "linked_edits": true,
  "toolbar": {
    "agent_review": false
  },
  "minimap": {
    "show": "never"
  },
  "scrollbar": {
    "show": "never"
  },
  "relative_line_numbers": "enabled",
  "tab_size": 2,
  "project_panel": {
    "dock": "left"
  },
  "outline_panel": {
    "dock": "left"
  },
  "collaboration_panel": {
    "dock": "left"
  },
  "agent": {
    "dock": "right",
    "favorite_models": [],
    "model_parameters": []
  },
  "git_panel": {
    "dock": "left"
  },
  "soft_wrap": "editor_width",
  "format_on_save": "off",
  "autosave": "on_focus_change",
  "inlay_hints": {
    "enabled": false,
    "show_value_hints": true,
    "show_type_hints": true,
    "show_parameter_hints": true,
    "show_other_hints": true,
    "show_background": false,
    "edit_debounce_ms": 700,
    "scroll_debounce_ms": 50,
    "toggle_on_modifiers_press": {
      "control": false,
      "alt": false,
      "shift": false,
      "platform": false,
      "function": false
    }
  },
  "telemetry": {
    "diagnostics": false,
    "metrics": false
  },
  "vim_mode": true,
  "icon_theme": "Zed (Default)",
  "ui_font_size": 15.0,
  "buffer_font_size": 15,
  "theme": {
    "mode": "dark",
    "light": "Gruvbox Light",
    "dark": "Ayu Dark"
  }
}
